# Testgeräte-API

## createTestDevice

Registriert ein Testgerät für die Anwendung.

`POST` `https://api.pushwoosh.com/json/1.3/createTestDevice`

#### Request Body

| Name | Typ | Beschreibung |
| --- | --- | --- |
| application\* | string | [Pushwoosh Application Code](/de/developer/api-reference/api-identifiers/#application-code) |
| push\_token\* | string | [Push-Token](/de/developer/api-reference/api-identifiers/#push-token) des Geräts. |
| device\_type\* | integer | [Gerätetyp](/de/developer/api-reference/api-identifiers/#device-type). Siehe mögliche Werte in der `/registerDevice`-Methode. |
| name\* | string | Name des Testgeräts. |
| description | string | Beschreibung des Testgeräts. |

<Tabs>
<TabItem label="200">
```json
{
  "status_code": 200,
  "status_message": "OK",
  "response": null
}
```
</TabItem>
</Tabs>

```jsonc title="Example"
{
  "request": {
    "application": "XXXXX-XXXXX",        // erforderlich. Pushwoosh Application Code
    "push_token": "DEVICE_PUSH_TOKEN",   // erforderlich.
    "device_type": 1,                    // erforderlich. Siehe /registerDevice für Gerätetypen
    "name": "TEST_DEVICE_1",             // erforderlich. Name des Testgeräts
    "description": "android test device" // optional. Beschreibung des Testgeräts
  }
}
```

## listTestDevices

Gibt alle Testgeräte für die spezifische Anwendung zurück.

`POST` `https://api.pushwoosh.com/json/1.3/listTestDevices`

#### Request Body

| Name | Typ | Beschreibung |
| --- | --- | --- |
| auth\* | string | [API Access Token](/de/developer/api-reference/api-identifiers/#api-access-token) aus dem Pushwoosh Control Panel. |
| application\* | string | [Pushwoosh Application Code](/de/developer/api-reference/api-identifiers/#application-code) |

<Tabs>
<TabItem label="200">
```json
{
  "status_code": 200,
  "status_message": "OK",
  "response": {
    "TestDevices": [{
      "name": "iosDevice",
      "type": "1",
      "pushtoken": "token",
      "description": "ios device"
    }]
  }
}
```
</TabItem>
</Tabs>

```jsonc title="Example"
{
  "request": {
    "auth": "yxoPUlwqm…………pIyEX4H", // erforderlich. API Access Token aus dem Pushwoosh Control Panel
    "application": "XXXXX-XXXXX"    // erforderlich. Pushwoosh Application Code
  }
}
```

Für Gerätetypen siehe [`/registerDevice`](/de/developer/api-reference/device-api/#registerdevice).